cURL
curl -X GET "https://api.sitespy.app/api/v1/systeminfo" \
-H "x-api-key: YOUR_API_KEY"import requests
headers = {'x-api-key': 'YOUR_API_KEY'}
response = requests.get('https://api.sitespy.app/api/v1/systeminfo', headers=headers)
print(response.json())
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sitespy.app/api/v1/systeminfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"watch_count": 42,
"tag_count": 5,
"uptime": "2 days, 3:45:12",
"version": "0.50.10"
}System Information
Get system information
Return information about the current system state
GET
/
systeminfo
cURL
curl -X GET "https://api.sitespy.app/api/v1/systeminfo" \
-H "x-api-key: YOUR_API_KEY"import requests
headers = {'x-api-key': 'YOUR_API_KEY'}
response = requests.get('https://api.sitespy.app/api/v1/systeminfo', headers=headers)
print(response.json())
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sitespy.app/api/v1/systeminfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"watch_count": 42,
"tag_count": 5,
"uptime": "2 days, 3:45:12",
"version": "0.50.10"
}Authorizations
API key for authentication. You can find your API key in the Site Spy dashboard under Settings → API.

